<template>
  <app-frame :tabs="tabs">
    <img src="https://webapp-pub.ezijing.com/www/pc/news/news.png" class="banner" />
    <template #article>
      <article-list v-bind="listOptions"></article-list>
    </template>
  </app-frame>
</template>

<script setup>
import { getArticleList } from '@/api'

const tabs = useAboutNavList()
const config = useRuntimeConfig()

const listOptions = computed(() => ({
  remote: {
    httpRequest: getArticleList,
    params: { project_id: config.public.projectId, type_tag: 'article_publish_class' },
  },
  to(item) {
    return { path: `/about/lesson/${item.id}` }
  },
}))
</script>
